Skip to main content
GET
Get Customer

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

customer_id
string<uuid>
required

The customer's unique identifier

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

Response

Customer

Details of a prospect

status
enum<string>
required

Customer's status

Available options:
ACTIVE,
DECEASED,
DENIED,
DORMANT,
ESCHEAT,
FROZEN,
INACTIVE,
PROSPECT,
SANCTION
vendor_info
object

Vendor information for external account management systems

addresses
object[]
read-only

All of the customer's addresses

ban_status
enum<string>

(beta) Ban status of the person. One of the following:

  • ALLOWED – person is not banned or suspended
  • SUSPENDED - person is manually suspended due to fraud
  • BANNED – person is banned due to matching ban rules Note: changing the ban status to or from BANNED can only be performed by the Synctera platform based on ban rules.
Available options:
ALLOWED,
BANNED,
SUSPENDED
Example:

"ALLOWED"

classifications
enum<string>[]
read-only

Specifies the classification of a party for banks. This may contain multiple values for a combined classifications list of customers.

Specifies the classification of a party.

Available options:
AUTHORIZED_USER,
BANK_CUSTOMER,
INACTIVE_BANK_CUSTOMER,
PROSPECT
creation_time
string<date-time>
read-only

The date and time the resource was created.

Example:

"2010-05-06T12:23:34.321Z"

email
string

Customer's email

Example:

"alice@example.com"

has_accounts
boolean
read-only

This flag indicates whether the person or business has accounts.

id
string<uuid>
read-only

Customer unique identifier

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

kyc_exempt
boolean
read-only

Customer's KYC exemption

kyc_last_run
string<date-time>
read-only

Date and time KYC was last run on the customer

Example:

"2010-05-06T12:23:34.321Z"

kyc_status
enum<string>
read-only

Customer's KYC status

Available options:
ACCEPTED,
PENDING,
PROVIDER_FAILURE,
PROVISIONAL,
REJECTED,
REVIEW,
UNVERIFIED
last_updated_time
string<date-time>
read-only

The date and time the resource was last updated.

Example:

"2010-05-06T12:23:34.321Z"

Legal address

metadata
object

User-supplied metadata. Do not use to store PII.

middle_name
string

Customer's middle name

Example:

"Anne"

phone_number
string

Customer's mobile phone number with country code in E.164 format. Must have a valid country code. Area code and local phone number are not validated.

Pattern: ^\+[1-9]\d{1,14}$
Example:

"+14374570680"

Customer's relationships with other accounts eg. guardian. This property is no longer supported. Setting it will return an error.

shipping_address
object

Shipping address

spend_control_ids
string<uuid>[]

List of spend control IDs to control spending for the customer

Maximum array length: 100
ssn
string

Customer's full tax ID eg SSN formatted with hyphens. This optional parameter is required when running KYC on a customer. Input must match the pattern ^\d{3}-\d{2}-\d{4}$. The response contains the last 4 digits only (e.g. 6789).

Example:

"123-45-6789"

ssn_source
enum<string>
read-only

Describes the collection method for the customer's SSN:

  • MANUAL – the full 9 digits of the customer's SSN was collected.
  • PREFILL – the customer's SSN was collected using SSN Prefill.
Available options:
MANUAL,
PREFILL
tenant
string

The id of the tenant containing the resource. This is relevant for Fintechs that have multiple workspaces.

Example:

"abcdef_ghijkl"

dob
string<date>

Customer's date of birth in RFC 3339 full-date format (YYYY-MM-DD)

Example:

"2000-01-01"

first_name
string

Customer's first name

Example:

"Jane"

last_name
string

Customer's last name

Example:

"Smith"